<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::certifiedSender::MessageStorageInterface Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1certified_sender.html">certifiedSender</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html">MessageStorageInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::certifiedSender::MessageStorageInterface Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_message_storage_interface_8h_source.html">MessageStorageInterface.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::certifiedSender::MessageStorageInterface:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_inherit__map" id="alexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html" title="alexaClientSDK::capability\lAgents::alerts::test::StubMessage\lStorage" alt="" coords="284,5,505,57"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage.html" title="alexaClientSDK::capability\lAgents::settings::test\l::MockMessageStorage" alt="" coords="306,81,483,133"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1certified_sender_1_1_s_q_lite_message_storage.html" title="alexaClientSDK::certified\lSender::SQLiteMessageStorage" alt="" coords="288,157,501,196"/>
<area shape="rect" id="node5" href="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_mock_message_storage.html" title="alexaClientSDK::certified\lSender::test::MockMessageStorage" alt="" coords="278,220,511,259"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html">StoredMessage</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a75f8c604874181dc95f58333383fea5e"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a75f8c604874181dc95f58333383fea5e">~MessageStorageInterface</a> ()=default</td></tr>
<tr class="separator:a75f8c604874181dc95f58333383fea5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83ad426fad42db7e0ffd7ff164d50744"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a83ad426fad42db7e0ffd7ff164d50744">createDatabase</a> ()=0</td></tr>
<tr class="separator:a83ad426fad42db7e0ffd7ff164d50744"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69f5888e39921094136eb82e8c422b2d"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a69f5888e39921094136eb82e8c422b2d">open</a> ()=0</td></tr>
<tr class="separator:a69f5888e39921094136eb82e8c422b2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a770eca510a5c854d69f445ed65148def"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a770eca510a5c854d69f445ed65148def">close</a> ()=0</td></tr>
<tr class="separator:a770eca510a5c854d69f445ed65148def"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae316419688e35565148312b7f793891d"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ae316419688e35565148312b7f793891d">store</a> (const std::string &amp;message, int *id)=0</td></tr>
<tr class="separator:ae316419688e35565148312b7f793891d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad30f520cabee0ec267f3587e5c6049c1"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ad30f520cabee0ec267f3587e5c6049c1">load</a> (std::queue&lt; <a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html">StoredMessage</a> &gt; *messageContainer)=0</td></tr>
<tr class="separator:ad30f520cabee0ec267f3587e5c6049c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68bd3e2439c47ee2dc6079b74113aaf6"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a68bd3e2439c47ee2dc6079b74113aaf6">erase</a> (int messageId)=0</td></tr>
<tr class="separator:a68bd3e2439c47ee2dc6079b74113aaf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a728b2f59806c08d5cf286032ce030dab"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a728b2f59806c08d5cf286032ce030dab">clearDatabase</a> ()=0</td></tr>
<tr class="separator:a728b2f59806c08d5cf286032ce030dab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">An Interface class which defines APIs for interacting with a database for storing text-based messages.</p>
<p class="">An implementation of this interface must enforce ordering of the messages, so that the ordering of items returned in the <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ad30f520cabee0ec267f3587e5c6049c1">load()</a> operation are the same as the ordering of <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ae316419688e35565148312b7f793891d">store()</a> calls.</p>
<p class="">This interface does not provide any thread-safety guarantees. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a75f8c604874181dc95f58333383fea5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75f8c604874181dc95f58333383fea5e">&#9670;&nbsp;</a></span>~MessageStorageInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::certifiedSender::MessageStorageInterface::~MessageStorageInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a728b2f59806c08d5cf286032ce030dab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a728b2f59806c08d5cf286032ce030dab">&#9670;&nbsp;</a></span>clearDatabase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::certifiedSender::MessageStorageInterface::clearDatabase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">A utility function to clear the database of all records. Note that the database will still exist, as will the tables. Only the rows will be erased.</p>
<dl class="section return"><dt>Returns</dt><dd>Whether the database was successfully cleared. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#a84cd4d3aa66c353c551fca8d5c601278">alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage</a>, and <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_s_q_lite_message_storage.html#a5d9d808fbe9553b43de2422e24605427">alexaClientSDK::certifiedSender::SQLiteMessageStorage</a>.</p>

</div>
</div>
<a id="a770eca510a5c854d69f445ed65148def"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a770eca510a5c854d69f445ed65148def">&#9670;&nbsp;</a></span>close()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::certifiedSender::MessageStorageInterface::close </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Close the currently open database, if one is open. </p>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#a3cecb75a0a724c1aadc178e53beec6cd">alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage</a>, and <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_s_q_lite_message_storage.html#a012924d79ce7257c4ac563e5adfa9fbe">alexaClientSDK::certifiedSender::SQLiteMessageStorage</a>.</p>

</div>
</div>
<a id="a83ad426fad42db7e0ffd7ff164d50744"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83ad426fad42db7e0ffd7ff164d50744">&#9670;&nbsp;</a></span>createDatabase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::certifiedSender::MessageStorageInterface::createDatabase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Creates a new database with the given filePath. If a database is already being handled by this object, or there is are other errors creating the database, this function returns false.</p>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the database is created ok, or <code>false</code> if a database is already being handled by this object or there is an internal error creating the database. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#ac8d077c7f2f207f3b5e827f1195af290">alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage</a>, and <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_s_q_lite_message_storage.html#a2fb82ae4bbd9473259c34e1251417530">alexaClientSDK::certifiedSender::SQLiteMessageStorage</a>.</p>

</div>
</div>
<a id="a68bd3e2439c47ee2dc6079b74113aaf6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68bd3e2439c47ee2dc6079b74113aaf6">&#9670;&nbsp;</a></span>erase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::certifiedSender::MessageStorageInterface::erase </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>messageId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Erases a single message from the database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">messageId</td><td>The id of the message to be erased. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the message was successfully erased. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#a79c273b47310d166c8213d76dc64b160">alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage</a>, and <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_s_q_lite_message_storage.html#a215ff84f6c26f2a3593dc2635c6313e8">alexaClientSDK::certifiedSender::SQLiteMessageStorage</a>.</p>

</div>
</div>
<a id="ad30f520cabee0ec267f3587e5c6049c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad30f520cabee0ec267f3587e5c6049c1">&#9670;&nbsp;</a></span>load()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::certifiedSender::MessageStorageInterface::load </td>
          <td>(</td>
          <td class="paramtype">std::queue&lt; <a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html">StoredMessage</a> &gt; *&#160;</td>
          <td class="paramname"><em>messageContainer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Loads all messages in the database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">messageContainer</td><td>The container where messages should be stored. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the <code>StoredMessages</code> were successfully loaded. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#a5ad3cee4f9e3be1e612ea8b4ed806ac1">alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage</a>, and <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_s_q_lite_message_storage.html#aa5113b9e4236b77ef4177e6f46bb6474">alexaClientSDK::certifiedSender::SQLiteMessageStorage</a>.</p>

</div>
</div>
<a id="a69f5888e39921094136eb82e8c422b2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69f5888e39921094136eb82e8c422b2d">&#9670;&nbsp;</a></span>open()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::certifiedSender::MessageStorageInterface::open </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Open an existing database. If this object is already managing an open database, or there is a problem opening the database, this function returns false.</p>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the database is opened ok, <code>false</code> if this object is already managing an open database, or if there is another internal reason the database could not be opened. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#a6e75aa1345a767f005952f1efa2e2d66">alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage</a>, and <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_s_q_lite_message_storage.html#a9a056147131f732aa37bbc834bf3a50d">alexaClientSDK::certifiedSender::SQLiteMessageStorage</a>.</p>

</div>
</div>
<a id="ae316419688e35565148312b7f793891d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae316419688e35565148312b7f793891d">&#9670;&nbsp;</a></span>store()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::certifiedSender::MessageStorageInterface::store </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>message</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Stores a single message in the database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">The</td><td>message to store. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">id</td><td>The id associated with the stored messsage, if successfully stored. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the message was successfully stored. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_stub_message_storage.html#ab2146d455420a0851b95d6fa655c742e">alexaClientSDK::capabilityAgents::alerts::test::StubMessageStorage</a>, and <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_s_q_lite_message_storage.html#adc65cff0f8c5d332a922d7a6f44e539b">alexaClientSDK::certifiedSender::SQLiteMessageStorage</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CertifiedSender/include/CertifiedSender/<a class="el" href="_message_storage_interface_8h_source.html">MessageStorageInterface.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
